Loading...
Searching...
No Matches
apu_errno.h File Reference

APR-Util Error Codes. More...

`#include "apr.h"`
`#include "apr_errno.h"`
Include dependency graph for apu_errno.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | apu_err_t

## Macros

#define | APR_ENOKEY (APR_UTIL_START_STATUS + 1)
#define | APR_ENOIV (APR_UTIL_START_STATUS + 2)
#define | APR_EKEYTYPE (APR_UTIL_START_STATUS + 3)
#define | APR_ENOSPACE (APR_UTIL_START_STATUS + 4)
#define | APR_ECRYPT (APR_UTIL_START_STATUS + 5)
#define | APR_EPADDING (APR_UTIL_START_STATUS + 6)
#define | APR_EKEYLENGTH (APR_UTIL_START_STATUS + 7)
#define | APR_ENOCIPHER (APR_UTIL_START_STATUS + 8)
#define | APR_ENODIGEST (APR_UTIL_START_STATUS + 9)
#define | APR_ENOENGINE (APR_UTIL_START_STATUS + 10)
#define | APR_EINITENGINE (APR_UTIL_START_STATUS + 11)
#define | APR_EREINIT (APR_UTIL_START_STATUS + 12)
#define | APR_STATUS_IS_ENOKEY(s) ((s) == APR_ENOKEY)
#define | APR_STATUS_IS_ENOIV(s) ((s) == APR_ENOIV)
#define | APR_STATUS_IS_EKEYTYPE(s) ((s) == APR_EKEYTYPE)
#define | APR_STATUS_IS_ENOSPACE(s) ((s) == APR_ENOSPACE)
#define | APR_STATUS_IS_ECRYPT(s) ((s) == APR_ECRYPT)
#define | APR_STATUS_IS_EPADDING(s) ((s) == APR_EPADDING)
#define | APR_STATUS_IS_EKEYLENGTH(s) ((s) == APR_EKEYLENGTH)
#define | APR_STATUS_IS_ENOCIPHER(s) ((s) == APR_ENOCIPHER)
#define | APR_STATUS_IS_ENODIGEST(s) ((s) == APR_ENODIGEST)
#define | APR_STATUS_IS_ENOENGINE(s) ((s) == APR_ENOENGINE)
#define | APR_STATUS_IS_EINITENGINE(s) ((s) == APR_EINITENGINE)
#define | APR_STATUS_IS_EREINIT(s) ((s) == APR_EREINIT)

## Typedefs

typedef struct apu_err_t | apu_err_t

## Detailed Description

APR-Util Error Codes.